GET /v1/accounts
Every linked account with its most recent balance
Auth. Send the token in the X-Ledger-Token header.
Responses
| Status | Meaning | Body |
|---|---|---|
200 | Accounts, ordered by institution then name | Account[] |
429 | Too many requests from this client address. Wait the number of seconds in Retry-After, then try again. | Error |
Example response
[
{
"id": "string",
"conn_id": "string",
"org_name": "string",
"institution": "string",
"name": "string",
"nickname": "string",
"display_name": "string",
"created_at": "2026-10-11T00:00:00Z",
"updated_at": "2026-10-11T00:00:00Z",
"currency": "string",
"account_type": "string",
"balance_cents": 0,
"available_cents": 0,
"balance_date": "2026-10-11T00:00:00Z"
}
]
Code samples
Set KEY to your own token first.
curl
curl \
-H X-Ledger-Token:$KEY \
"https://api.sasek.org/ledger/v1/accounts"
JavaScript
const res = await fetch("https://api.sasek.org/ledger/v1/accounts", {
headers: { "X-Ledger-Token": KEY },
});
const data = await res.json();
Python
import json
import os
import urllib.request
request = urllib.request.Request(
"https://api.sasek.org/ledger/v1/accounts",
method="GET",
headers={
"X-Ledger-Token": os.environ["KEY"],
},
)
with urllib.request.urlopen(request) as response:
print(json.load(response))